/*
 * Created on 13 oct. 2004
 */
package net.sf.doolin.util;

/**
 * Thrown when a parameter is missing. This exception is used by
 * {@link net.sf.doolin.util.ParameterSet}.
 * 
 * @author Damien Coraboeuf
 */
public class MissingParameterException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	/**
	 * Parameter name
	 */
	private String name;

	/**
	 * Constructor
	 * 
	 * @param name
	 *            Parameter name
	 */
	public MissingParameterException(String name) {
		super("Missing parameter " + name);
		this.name = name;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return this.name;
	}
}
