package net.sf.doolin.util;

/**
 * This adapter transforms any object into a {@link Boolean} by checking if the
 * source object is not null.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ReadOnlyNotNullBooleanAdapter extends
		ReadOnlyAdapter<Object, Boolean> {

	/**
	 * Common instance
	 */
	public static final ReadOnlyNotNullBooleanAdapter INSTANCE = new ReadOnlyNotNullBooleanAdapter();

	/**
	 * Returns <code>true</code> if <code>subjectValue</code> is not
	 * <code>null</code>.
	 */
	@Override
	public Boolean convertSubjectToTarget(Object subjectValue) {
		return (subjectValue != null);
	}

}
